package com.stephen.omgplugin;

import com.didichuxing.omega.sdk.init.OmegaSDK;

import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;

/** OmgpluginPlugin */
public class OmgpluginPlugin implements MethodCallHandler {
  /** Plugin registration. */
  public static void registerWith(Registrar registrar) {
    final MethodChannel channel = new MethodChannel(registrar.messenger(), "omgplugin");
    channel.setMethodCallHandler(new OmgpluginPlugin());
  }

  @Override
  public void onMethodCall(MethodCall call, Result result) {
    if (call.method.equals("getPlatformVersion")) {
      result.success("Android " + android.os.Build.VERSION.RELEASE);
    } else if (call.method.equals("trackEvent")){
      String eventId = call.hasArgument("event_id") ? (String) call.argument("event_id") : "null_event_id";
      OmegaSDK.trackEvent(eventId);
    }else {
      result.notImplemented();
    }
  }
}
